org.eclipse.jgit.merge

## Class MergeMessageFormatter

- java.lang.Object
- - org.eclipse.jgit.merge.MergeMessageFormatter

    public class MergeMessageFormatter
    extends Object

Formatter for constructing the commit message for a merge commit.

The format should be the same as C Git does it, for compatibility.

### Constructor Summary

Constructors
Constructor and Description
`MergeMessageFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `format(List<Ref> refsToMerge, Ref target)` Construct the merge commit message.
`String` `formatWithConflicts(String message, List<String> conflictingPaths)` Add section with conflicting paths to merge message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeMessageFormatter

    public MergeMessageFormatter()

### Method Detail

#### format

    public String format(List<Ref> refsToMerge,
                         Ref target)

Construct the merge commit message.

Parameters:
  `refsToMerge` - the refs which will be merged
  `target` - the branch ref which will be merged into
Returns:
  merge commit message

#### formatWithConflicts

    public String formatWithConflicts(String message,
                                      List<String> conflictingPaths)

Add section with conflicting paths to merge message.

Parameters:
  `message` - the original merge message
  `conflictingPaths` - the paths with conflicts
Returns:
  merge message with conflicting paths added